Bug 1436649 (CVE-2017-2671) - CVE-2017-2671 kernel: ping socket / AF_LLC connect() sin_family race
Summary: CVE-2017-2671 kernel: ping socket / AF_LLC connect() sin_family race
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-2671
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1436658 (view as bug list)
Depends On: 1436663 1438998 1438999 1439000 1439001 1447842 1447843 1447844
Blocks: 1436651 1436660
TreeView+ depends on / blocked
 
Reported: 2017-03-28 11:39 UTC by Martin Prpič
Modified: 2019-09-29 14:08 UTC (History)
35 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A race condition leading to a NULL pointer dereference was found in the Linux kernel's Link Layer Control implementation. A local attacker with access to ping sockets could use this flaw to crash the system.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:09:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1842 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2017-08-01 18:22:09 UTC
Red Hat Product Errata RHSA-2017:2077 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2017-08-01 18:13:37 UTC
Red Hat Product Errata RHSA-2017:2669 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2017-09-07 00:36:52 UTC
Red Hat Product Errata RHSA-2018:1854 None None None 2018-06-19 04:49:10 UTC

Description Martin Prpič 2017-03-28 11:39:48 UTC
A race condition, leading to a NULL pointer dereference, was found in the Linux kernel's Link Layer Control implementation. A local attacker with access to ping sockets could use this flaw to corrupt kernel memory leading to a kernel crash or privilege escalation. 

References:

http://seclists.org/oss-sec/2017/q1/675

CVE assignment:

http://seclists.org/oss-sec/2017/q2/17

Patch:

http://seclists.org/oss-sec/2017/q1/677

https://git.kernel.org/pub/scm/linux/kernel/git/davem/net.git/commit/?id=43a6684519ab0a6c52024b5e25322476cabad893

Upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=43a6684519ab0a6c52024b5e25322476cabad893

Comment 1 Adam Mariš 2017-03-28 12:06:34 UTC
*** Bug 1436658 has been marked as a duplicate of this bug. ***

Comment 2 Adam Mariš 2017-03-28 12:09:25 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1436663]

Comment 3 Wade Mealing 2017-04-03 06:48:59 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5 as the code with the flaw is not present in the products listed.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 6, 7 and MRG-2.  Future Linux kernel updates for the respective releases may address this issue.

Comment 8 Andrej Nemec 2017-04-05 08:02:03 UTC
CVE assignment:

http://seclists.org/oss-sec/2017/q2/17

Comment 16 errata-xmlrpc 2017-08-01 19:14:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2077 https://access.redhat.com/errata/RHSA-2017:2077

Comment 17 errata-xmlrpc 2017-08-02 07:55:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1842 https://access.redhat.com/errata/RHSA-2017:1842

Comment 18 errata-xmlrpc 2017-09-06 20:41:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise MRG 2

Via RHSA-2017:2669 https://access.redhat.com/errata/RHSA-2017:2669

Comment 19 errata-xmlrpc 2018-06-19 04:48:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:1854 https://access.redhat.com/errata/RHSA-2018:1854


Note You need to log in before you can comment on or make changes to this bug.